# Gen-UI-Kit

**Gen-UI-Kit** is a powerful tool designed to generate starter web UI kits based on a simple input: a project idea and its description and by utilizing [**LangChain**](https://github.com/langchain-ai/langchain) and UI Design systems such as [**Cloudscape Design System**](https://cloudscape.design/). It helps developers quickly get started on their projects with a tailored UI kit, ready for customization and enhancement. Developers can use this starter kit to connect to their APIs or backends, speeding up the initial phase of development.

Whether you’re working on a new app idea or looking for a quick way to start a front-end interface, Gen-UI-Kit is here to help!

## Key Features

- **Idea-Based UI Generation**: Provide a project idea and its description, and Gen-UI-Kit generates a customized starter UI kit.
- **Cloudscape Design System**: Utilizes components from Cloudscape to ensure a clean, consistent, and modern UI.
- **Customizable Starter Kit**: Get a functional starting point for your web app, which you can easily customize and extend.
- **Backend/ API Ready**: Generated starter kits include placeholders and structured code for easy API and backend integration.
- **Boosts Productivity**: Skip the tedious setup phase and jump straight into building your project with the generated kit.

## How It Works

1. **Input Your Idea**: Describe the project idea and provide a brief description of what it should do. For example: "create starter kit for the idea insurance underwriting app."
2. **Generate Starter Kit**: Gen-UI-Kit uses your input to generate a tailored web UI kit, complete with components and layouts that match your description.

## Example

Checkout the examples [notebooks](https://github.com/makkzone/Gen-UI-Kit/tree/main/notebooks)


## Installation

1. Using pip:

   ```bash
   pip install gen_ui_kit
   ```

(or)

2. Clone the repo and build locally:

   ```bash
   git clone https://github.com/makkzone/Gen-UI-Kit.git

   cd Gen-UI-Kit

   pip install -e .
   ```